解决部署网站时出现Warning: require(): open_basedir restriction in effect.

自己的whmcs安装过程中,出现了Warning: require(): open_basedir restriction in effect.错误。

记录:
宝塔部署时,出现“open_basedir restriction in effect”错误

下面是错误代码:

Warning: require(): open_basedir restriction in effect.
Warning: require(XXXXXXXXXXX): failed to open stream: Operation not permitted in XXXX

以下有两种解决方案:

1.去掉网站目录下的勾选,防跨站攻击(open_basedir),然后重启php服务。

2.方案2,修改目录下的.user.ini的隐藏文件

chattr -i .user.ini
vi .user.ini

追加 “:/www/wwwroot/XXXXX/”

暂无评论

发送评论 编辑评论


|´・ω・)ノ
ヾ(≧∇≦*)ゝ
(☆ω☆)
(╯‵□′)╯︵┴─┴
 ̄﹃ ̄
(/ω\)
∠( ᐛ 」∠)_
(๑•̀ㅁ•́ฅ)
→_→
୧(๑•̀⌄•́๑)૭
٩(ˊᗜˋ*)و
(ノ°ο°)ノ
(´இ皿இ`)
⌇●﹏●⌇
(ฅ´ω`ฅ)
(╯°A°)╯︵○○○
φ( ̄∇ ̄o)
ヾ(´・ ・`。)ノ"
( ง ᵒ̌皿ᵒ̌)ง⁼³₌₃
(ó﹏ò。)
Σ(っ °Д °;)っ
( ,,´・ω・)ノ"(´っω・`。)
╮(╯▽╰)╭
o(*////▽////*)q
>﹏<
( ๑´•ω•) "(ㆆᴗㆆ)
😂
😀
😅
😊
🙂
🙃
😌
😍
😘
😜
😝
😏
😒
🙄
😳
😡
😔
😫
😱
😭
💩
👻
🙌
🖕
👍
👫
👬
👭
🌚
🌝
🙈
💊
😶
🙏
🍦
🍉
😣
Source: github.com/k4yt3x/flowerhd
颜文字
Emoji
小恐龙
花!
上一篇
下一篇